Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 41124 (need-to-run-perl-cleaner) - configure: error: XML::Parser perl module is required for [...] - YOU NEED TO RUN `perl-cleaner'
Summary: configure: error: XML::Parser perl module is required for [...] - YOU NEED TO...
Status: VERIFIED INVALID
Alias: need-to-run-perl-cleaner
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal with 3 votes (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
: 42579 45433 48387 49869 50944 52668 54195 54863 55772 63035 65754 71081 71125 71222 71329 71897 72256 72683 72743 72793 73005 73577 73690 73773 73776 73789 73892 74143 74919 75226 75688 75915 76080 78148 80013 80237 81077 82156 82213 82586 82880 88019 88260 91488 91822 92462 92547 92562 94526 95992 96247 97653 97840 97901 98016 100768 101016 101316 103527 103646 103730 107524 107655 108273 108423 108979 109603 110075 110800 110842 111467 111632 116296 116625 120818 123413 124535 124957 125064 125811 127591 127804 128199 128280 128312 128582 128676 129476 129647 131049 131172 131868 132233 132684 133160 133652 133886 134361 134421 135425 135628 136462 136764 138529 139078 139896 141548 141787 142736 142895 143215 145230 145451 145678 146919 148800 149430 150765 151110 153408 156091 158642 168199 172507 172924 173287 180331 180978 182384 183262 183533 185589 186388 187063 187870 188359 188372 188392 188396 188419 188427 188495 188525 188540 188565 188575 188593 188609 188629 188635 188639 188640 188643 188657 188660 188681 188701 188702 188705 188712 188773 188775 188805 188813 188864 188893 188964 189453 189491 189851 190286 190648 190935 191242 192236 192709 193673 197619 198082 198619 206277 208458 209492 210108 210847 212848 213447 213498 215727 219955 222259 225571 228869 230858 246415 247110 266966 281676 284281 303857 305009 305099 305199 305225 305233 305291 305485 305801 307805 309413 310133 311125 314683 321373 323989 324853 330495 334871 336483 337968 342339 342809 342921 343647 343687 343787 344237 344927 344931 346507 351154 361835 369277 375483 391779 391959 421041 421331 421339 421567 422179 425064 436090 454130 463898 481686 483782 483990 484004 484136 484272 484382 484612 486266 486780 486976 490026 490674 491710 493928 494354 494378 494386 494432 494504 494516 494588 494746 495054 495980 496004 496052 496156 496234 496450 496700 496756 497506 497568 497828 498568 498700 499564 499582 499696 501242 501368 502438 503292 505288 505342 505390 506492 506752 506812 507018 507198 513532 518450 518520 518548 519086 519510 519672 519896 520698 522058 522806 523606 524070 525034 525672 531578 531712 533092 563738 566770 568470 582046 588116 593348 645134 646236 675328 688132 (view as bug list)
Depends on:
Blocks:
 
Reported: 2004-02-10 09:00 UTC by Timo Stich
Modified: 2019-06-18 09:23 UTC (History)
64 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Stich 2004-02-10 09:00:25 UTC
dev-perl/XML-Parser not in dependencies for gnome-vfs-2.4.2-r1

Reproducible: Always
Steps to Reproduce:
1.unmerge dev/perl/XML-Parser
2.emerge gnome-vfs-2.4.2-r1
3.

Actual Results:  
ebuild stops while configure
Comment 1 foser (RETIRED) gentoo-dev 2004-02-10 13:05:24 UTC
it deps on >=intltool-0.29 which deps on XML-Parser.
Comment 2 Håkon A. Hjortland 2004-02-13 06:54:08 UTC
emerging gnome-vfs-2.4.2-r1:
*******************************************************************
checking for perl... /usr/bin/perl
configure: error: XML::Parser perl module is required for intltool

!!! ERROR: gnome-base/gnome-vfs-2.4.2-r1 failed.
!!! Function econf, Line 365, Exitcode 1
!!! econf failed
*******************************************************************

Running the test from gnome-vfs ./configure script:
*******************************************************************
# perl -e "require XML::Parser" 2>&1 | tr ' ' '\n'
Can't
locate
XML/Parser.pm
in
@INC
(@INC
contains:
/etc/perl
/usr/lib/perl5/site_perl/5.8.2/i686-linux
/usr/lib/perl5/site_perl/5.8.2
/usr/lib/perl5/site_perl/5.8.0/i686-linux
/usr/lib/perl5/site_perl/5.8.0
/usr/lib/perl5/site_perl/5.6.1
/usr/lib/perl5/site_perl
/usr/lib/perl5/vendor_perl/5.8.2/i686-linux
/usr/lib/perl5/vendor_perl/5.8.2
/usr/lib/perl5/vendor_perl/5.8.0/i686-linux
/usr/lib/perl5/vendor_perl/5.8.0
/usr/lib/perl5/vendor_perl
/usr/lib/perl5/5.8.2/i686-linux
/usr/lib/perl5/5.8.2
/usr/local/lib/site_perl
/usr/lib/perl5/site_perl/5.8.0/i686-linux
/usr/lib/perl5/site_perl/5.8.0
/usr/lib/perl5/site_perl/5.6.1
.)
at
-e
line
1.
*******************************************************************

Location of XML-Parser:
*******************************************************************
# qpkg -l XML-Parser | grep Parser.pm
/usr/lib/perl5/site_perl/5.6.1/i686-linux/XML/Parser.pm
/usr/lib/perl5/site_perl/5.6.1/i686-linux/XML/Parser.pm
*******************************************************************

Seems like the problem is that
/usr/lib/perl5/site_perl/5.6.1/i686-linux
is missing from the @INC-thingy.
I know nothing about perl, so I don't know how to trace
the bug further (who has forgotten to include the directory; perl? XML-Parser?)


Trying to re-emerge XML-Parser...
...and now it works!
Seems like it installed itself into a new location:
*******************************************************************
# qpkg -l XML-Parser | grep Parser.pm
/usr/lib/perl5/site_perl/5.6.1/i686-linux/XML/Parser.pm
/usr/lib/perl5/vendor_perl/5.8.2/i686-linux/XML/Parser.pm
*******************************************************************

Conclusion:
Something perl needs to be fixed.
Comment 3 foser (RETIRED) gentoo-dev 2004-02-13 07:31:57 UTC
perl problem needs explanation.
Comment 4 Michael Cummings (RETIRED) gentoo-dev 2004-02-15 05:05:35 UTC
The problem is that the warning, issued at the end of all installs of the perl-5.8 series, and discussed to no end on the mailing lists a year or so ago now, was not heeded. When upgrading from a major point release of perl, modules and executable code compiled against the 5.6.X version of perl must be re-installed. The location of XML-Parser, in this case, is in a perl 5.6.1 directory which is not part of the user's @INC anymore. This is not a gentoo perl issue.
Comment 5 Michael Cummings (RETIRED) gentoo-dev 2004-02-15 05:07:19 UTC
Timo - for what it's worth, there is a script in <PORTAGE>/dev-lang/perl/files/ called libperl_rebuilder which does a decent attempt at helping out. It isn't perfect, but what it does is to essentially look for any perl related ebuilds you have installed (modules, etc) and attempt to re-emerge them. Hope this helps!]

-Mike
Comment 6 Michael Cummings (RETIRED) gentoo-dev 2004-02-15 06:01:18 UTC
Sorry for all the posts, its the work of coffee in my system this morning.

Timo/foser - the problem with XML::Parser is that it is compiled as xs code, i.e. against libperl and the libxml libraries to produce a binary module that is usable by perl. When upgrading from 5.6.X to 5.8 (and if you're playing with the beta releases, within some of the 5.8.x tree as well) the API used by perl to interface between external libraries and the perl intrepeter has changed. The rebuilder script I mentioned rebuilds any perl modules and perl dependant items that you have emerged in the past to overcome this change. It is at best a hack (I can say that as I wrote at least the first incarcation of it) and may be overkill in this case. Re-emerging the XML::Parser and related modules will solve your problem in the short term, but the long term problem is that any module you installed under 5.6.1 that isn't *pure* perl but that instead links to something external will fail until rebuilt. This is actually covered in the perl release notes and easily verified. I hope this helps,

-Mike
Comment 7 Spider (RETIRED) gentoo-dev 2004-02-23 14:35:32 UTC
*** Bug 42579 has been marked as a duplicate of this bug. ***
Comment 8 foser (RETIRED) gentoo-dev 2004-02-29 09:48:54 UTC
ok closing again after the conclusive explanation by mcummings (thnx).

This is not our problem.
Comment 9 foser (RETIRED) gentoo-dev 2004-03-23 03:24:09 UTC
*** Bug 45433 has been marked as a duplicate of this bug. ***
Comment 10 foser (RETIRED) gentoo-dev 2004-04-19 14:03:18 UTC
*** Bug 48387 has been marked as a duplicate of this bug. ***
Comment 11 Aron Griffis (RETIRED) gentoo-dev 2004-05-03 12:12:19 UTC
*** Bug 49869 has been marked as a duplicate of this bug. ***
Comment 12 foser (RETIRED) gentoo-dev 2004-05-15 11:51:39 UTC
*** Bug 50944 has been marked as a duplicate of this bug. ***
Comment 13 foser (RETIRED) gentoo-dev 2004-06-01 04:09:12 UTC
*** Bug 52668 has been marked as a duplicate of this bug. ***
Comment 14 foser (RETIRED) gentoo-dev 2004-06-23 04:18:11 UTC
*** Bug 54863 has been marked as a duplicate of this bug. ***
Comment 15 Joe McCann (RETIRED) gentoo-dev 2004-09-28 19:05:05 UTC
*** Bug 65754 has been marked as a duplicate of this bug. ***
Comment 16 foser (RETIRED) gentoo-dev 2004-11-14 01:09:06 UTC
*** Bug 71125 has been marked as a duplicate of this bug. ***
Comment 17 foser (RETIRED) gentoo-dev 2004-11-14 01:10:03 UTC
*** Bug 54195 has been marked as a duplicate of this bug. ***
Comment 18 foser (RETIRED) gentoo-dev 2004-11-14 09:41:42 UTC
*** Bug 71081 has been marked as a duplicate of this bug. ***
Comment 19 Joe McCann (RETIRED) gentoo-dev 2004-11-14 23:24:38 UTC
*** Bug 71222 has been marked as a duplicate of this bug. ***
Comment 20 Joe McCann (RETIRED) gentoo-dev 2004-11-15 20:32:28 UTC
*** Bug 71329 has been marked as a duplicate of this bug. ***
Comment 21 Joe McCann (RETIRED) gentoo-dev 2004-11-23 11:56:38 UTC
*** Bug 72256 has been marked as a duplicate of this bug. ***
Comment 22 Joe McCann (RETIRED) gentoo-dev 2004-11-27 17:06:12 UTC
*** Bug 72683 has been marked as a duplicate of this bug. ***
Comment 23 Joe McCann (RETIRED) gentoo-dev 2004-11-28 10:36:32 UTC
*** Bug 72743 has been marked as a duplicate of this bug. ***
Comment 24 James 2004-11-28 13:11:38 UTC
The package required to be emerged is 
dev-perl/XML-Parser  and not XML::Parser.

emerge XML-Parser

Comment 25 Joe McCann (RETIRED) gentoo-dev 2004-11-28 23:20:13 UTC
*** Bug 72793 has been marked as a duplicate of this bug. ***
Comment 26 foser (RETIRED) gentoo-dev 2004-12-01 04:43:31 UTC
*** Bug 73005 has been marked as a duplicate of this bug. ***
Comment 27 foser (RETIRED) gentoo-dev 2004-12-06 11:25:53 UTC
*** Bug 73577 has been marked as a duplicate of this bug. ***
Comment 28 foser (RETIRED) gentoo-dev 2004-12-07 10:50:32 UTC
*** Bug 73690 has been marked as a duplicate of this bug. ***
Comment 29 Joe McCann (RETIRED) gentoo-dev 2004-12-08 02:16:57 UTC
*** Bug 73773 has been marked as a duplicate of this bug. ***
Comment 30 Joe McCann (RETIRED) gentoo-dev 2004-12-08 03:54:14 UTC
*** Bug 73776 has been marked as a duplicate of this bug. ***
Comment 31 foser (RETIRED) gentoo-dev 2004-12-08 06:33:11 UTC
*** Bug 73789 has been marked as a duplicate of this bug. ***
Comment 32 Heinrich Wendel (RETIRED) gentoo-dev 2004-12-09 05:04:13 UTC
*** Bug 73892 has been marked as a duplicate of this bug. ***
Comment 33 Heinrich Wendel (RETIRED) gentoo-dev 2004-12-09 12:59:23 UTC
due to this amount of bug-reports maybe we should add a XML-Parser dependency directly?
Comment 34 Joe McCann (RETIRED) gentoo-dev 2004-12-09 14:22:11 UTC
The packages already dep on xml-parser via intltool. The problem is  xml-parser _needs_ to be rebuild after a perl update, but there is no way to tell that to portage. Portage sees the xml-parser package as already being installed and moves on to the next dep. Adding xml-parser as a direct dep would have no effect towards that.
Comment 35 Caleb Tennis (RETIRED) gentoo-dev 2004-12-09 14:43:17 UTC
Ok, but I've never had perl 5.6 on this system, so I'm not sure why it would have caused a problem.
Comment 36 Joe McCann (RETIRED) gentoo-dev 2004-12-11 18:33:27 UTC
*** Bug 74143 has been marked as a duplicate of this bug. ***
Comment 37 Mike Gardiner (RETIRED) gentoo-dev 2004-12-20 00:46:29 UTC
*** Bug 74919 has been marked as a duplicate of this bug. ***
Comment 38 foser (RETIRED) gentoo-dev 2004-12-22 07:27:39 UTC
*** Bug 75226 has been marked as a duplicate of this bug. ***
Comment 39 Joe McCann (RETIRED) gentoo-dev 2004-12-26 07:29:46 UTC
*** Bug 75688 has been marked as a duplicate of this bug. ***
Comment 40 Joe McCann (RETIRED) gentoo-dev 2004-12-28 07:59:45 UTC
*** Bug 75915 has been marked as a duplicate of this bug. ***
Comment 41 Joe McCann (RETIRED) gentoo-dev 2004-12-29 14:40:56 UTC
*** Bug 76080 has been marked as a duplicate of this bug. ***
Comment 42 Heinrich Wendel (RETIRED) gentoo-dev 2005-01-30 01:32:51 UTC
*** Bug 80013 has been marked as a duplicate of this bug. ***
Comment 43 Joshua Hoblitt 2005-01-31 11:04:53 UTC
*** Bug 80237 has been marked as a duplicate of this bug. ***
Comment 44 foser (RETIRED) gentoo-dev 2005-02-15 13:34:22 UTC
*** Bug 82156 has been marked as a duplicate of this bug. ***
Comment 45 Carsten Lohrke (RETIRED) gentoo-dev 2005-02-16 04:28:50 UTC
*** Bug 82213 has been marked as a duplicate of this bug. ***
Comment 46 Stephen Horner 2005-02-16 16:29:31 UTC
I wonder how feasable it would be to incorporate interoperability between either portage and CPAN or each ebuild working with CPAN. I'm new to gentoo, but CPAN would seem ideal. Although I do remember cpan being a kinda nasty last time I used it with slackware 10
Comment 47 Joe McCann (RETIRED) gentoo-dev 2005-02-20 05:31:11 UTC
*** Bug 82586 has been marked as a duplicate of this bug. ***
Comment 48 Joe McCann (RETIRED) gentoo-dev 2005-02-24 18:56:07 UTC
*** Bug 82880 has been marked as a duplicate of this bug. ***
Comment 49 foser (RETIRED) gentoo-dev 2005-04-05 04:39:57 UTC
*** Bug 88019 has been marked as a duplicate of this bug. ***
Comment 50 Michael Cummings (RETIRED) gentoo-dev 2005-04-07 04:35:09 UTC
Because people still add themselves to this bug, a note (over a year later). libperl_rebuilder has been replaced with perl-cleaner, which is by most accounts cleaner, faster, --oneshot, and guaranteed to make your hair grow (maybe not the last part).
Comment 51 foser (RETIRED) gentoo-dev 2005-04-07 07:53:24 UTC
*** Bug 88260 has been marked as a duplicate of this bug. ***
Comment 52 Jakub Moc (RETIRED) gentoo-dev 2005-05-04 15:32:55 UTC
*** Bug 91488 has been marked as a duplicate of this bug. ***
Comment 53 Joe McCann (RETIRED) gentoo-dev 2005-05-07 11:24:15 UTC
*** Bug 91822 has been marked as a duplicate of this bug. ***
Comment 54 Leonardo Boshell (RETIRED) gentoo-dev 2005-05-12 19:30:35 UTC
*** Bug 92462 has been marked as a duplicate of this bug. ***
Comment 55 John N. Laliberte (RETIRED) gentoo-dev 2005-05-13 18:04:09 UTC
*** Bug 92547 has been marked as a duplicate of this bug. ***
Comment 56 Jakub Moc (RETIRED) gentoo-dev 2005-05-13 23:40:15 UTC
*** Bug 92562 has been marked as a duplicate of this bug. ***
Comment 57 Jakub Moc (RETIRED) gentoo-dev 2005-05-23 09:10:58 UTC
*** Bug 93705 has been marked as a duplicate of this bug. ***
Comment 58 Jakub Moc (RETIRED) gentoo-dev 2005-05-30 10:58:40 UTC
*** Bug 94526 has been marked as a duplicate of this bug. ***
Comment 59 Leonardo Boshell (RETIRED) gentoo-dev 2005-06-13 14:59:40 UTC
*** Bug 95992 has been marked as a duplicate of this bug. ***
Comment 60 Jakub Moc (RETIRED) gentoo-dev 2005-06-15 23:56:22 UTC
*** Bug 96247 has been marked as a duplicate of this bug. ***
Comment 61 DEMAINE Benoît-Pierre, aka DoubleHP 2005-06-28 01:20:18 UTC
(In reply to comment #5)
> Timo - for what it's worth, there is a script in 
> <PORTAGE>/dev-lang/perl/files/ called libperl_rebuilder which does a decent 
> attempt at helping out. It isn't perfect, but what it does is to essentially 
> look for any perl related ebuilds you have installed (modules, etc) and
> attempt to re-emerge them. Hope this helps!]

in my 2005.0 system, there is no libperl_rebuilder around, but instead, we shall
use:

/usr/portage/dev-lang/perl/files/perl-cleaner all
what may do a bit too much, but which will hopefully fix the bug the Gentoo way.
I write this repport at once, and hope this script will fix my box before tonight.

Note that XML::Parser is the perl module. In any case, NOBODY should ever try
emerge XML::Parser
thats a very strange mistake.

:: is the module seperator for Perl, not the package descriptor for portage !!!

I dont even think
emerge XML-Parser
should ever be run, since perl-cleaner is alreade THE SCRIPT designed to solve
the actual problem.

BUT: I think that updates of perl should warn and remind to run perl-cleaner to
rebuild everything cleanly.
Comment 62 Michael Cummings (RETIRED) gentoo-dev 2005-06-28 12:19:19 UTC
(In reply to comment #61) 
> BUT: I think that updates of perl should warn and remind to run perl-cleaner 
to 
> rebuild everything cleanly. 
 
Perl does and has for over a year now. The problem is that it gets lost in the 
shuffle of mass updates (no solution available to that). Also, perl-cleaner has 
been broken out from that version and is now emergeable as its own application 
(for future inclusion as an option to revdep_rebuild). 
Comment 63 Jakub Moc (RETIRED) gentoo-dev 2005-07-01 13:36:55 UTC
*** Bug 97653 has been marked as a duplicate of this bug. ***
Comment 64 FieldySnuts 2005-07-01 13:50:06 UTC
Okay. What is an end user (such as me who filed the above bug (and apparently
wasted my time)) supposed to do? It appears this has been a problem for a very
long time. Over a year.
Comment 65 Jakub Moc (RETIRED) gentoo-dev 2005-07-01 13:52:47 UTC
(In reply to comment #64)
> Okay. What is an end user (such as me who filed the above bug (and apparently
> wasted my time)) supposed to do? 

Run perl-cleaner...
Comment 66 John N. Laliberte (RETIRED) gentoo-dev 2005-07-03 12:16:52 UTC
*** Bug 97840 has been marked as a duplicate of this bug. ***
Comment 67 Jakub Moc (RETIRED) gentoo-dev 2005-07-04 06:10:40 UTC
*** Bug 97901 has been marked as a duplicate of this bug. ***
Comment 68 Jakub Moc (RETIRED) gentoo-dev 2005-07-05 10:26:37 UTC
*** Bug 98016 has been marked as a duplicate of this bug. ***
Comment 69 Jakub Moc (RETIRED) gentoo-dev 2005-07-29 17:19:32 UTC
*** Bug 100768 has been marked as a duplicate of this bug. ***
Comment 70 Jakub Moc (RETIRED) gentoo-dev 2005-08-01 13:13:28 UTC
*** Bug 101016 has been marked as a duplicate of this bug. ***
Comment 71 Jakub Moc (RETIRED) gentoo-dev 2005-08-04 05:05:57 UTC
*** Bug 101316 has been marked as a duplicate of this bug. ***
Comment 72 Jakub Moc (RETIRED) gentoo-dev 2005-08-04 14:51:53 UTC
*** Bug 101385 has been marked as a duplicate of this bug. ***
Comment 73 Alexander Jenisch 2005-08-04 15:03:46 UTC
(In reply to comment #65)
> (In reply to comment #64)
> > Okay. What is an end user (such as me who filed the above bug (and apparently
> > wasted my time)) supposed to do? 
> 
> Run perl-cleaner...

well i did and nothing changed.
Comment 74 Leonardo Boshell (RETIRED) gentoo-dev 2005-08-23 15:19:54 UTC
*** Bug 103527 has been marked as a duplicate of this bug. ***
Comment 75 Jakub Moc (RETIRED) gentoo-dev 2005-08-24 21:27:10 UTC
*** Bug 103646 has been marked as a duplicate of this bug. ***
Comment 76 Jakub Moc (RETIRED) gentoo-dev 2005-08-25 10:53:30 UTC
*** Bug 103730 has been marked as a duplicate of this bug. ***
Comment 77 Jakub Moc (RETIRED) gentoo-dev 2005-09-28 10:33:12 UTC
*** Bug 107524 has been marked as a duplicate of this bug. ***
Comment 78 Rob Elvin 2005-09-28 15:06:20 UTC
(In reply to comment #73) 
> (In reply to comment #65) 
> > (In reply to comment #64) 
> > > Okay. What is an end user (such as me who filed the above bug (and 
apparently 
> > > wasted my time)) supposed to do?  
> >  
> > Run perl-cleaner... 
>  
> well i did and nothing changed. 
 
perl-cleaner modules worked for me but I never saw the message to run this as 
my update went by as part of an emerge -uD world. Perhaps there could be a 
portage enhancement to summarise these types of messages at the end of an 
emerge operation? 
Comment 79 Jakub Moc (RETIRED) gentoo-dev 2005-09-29 23:32:11 UTC
*** Bug 107655 has been marked as a duplicate of this bug. ***
Comment 80 Jakub Moc (RETIRED) gentoo-dev 2005-10-06 06:31:42 UTC
*** Bug 108273 has been marked as a duplicate of this bug. ***
Comment 81 Jakub Moc (RETIRED) gentoo-dev 2005-10-08 09:19:19 UTC
*** Bug 108423 has been marked as a duplicate of this bug. ***
Comment 82 Jakub Moc (RETIRED) gentoo-dev 2005-10-12 02:27:03 UTC
*** Bug 108979 has been marked as a duplicate of this bug. ***
Comment 83 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-17 15:29:28 UTC
*** Bug 109603 has been marked as a duplicate of this bug. ***
Comment 84 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-21 17:06:00 UTC
*** Bug 110075 has been marked as a duplicate of this bug. ***
Comment 85 Alexander J Lee 2005-10-21 18:41:59 UTC
Oh, god. Why don't we just add an explicit dependency on XML-Parser on the said
Gnome packages' ebuild?

That might not be the solution for people doing emerge syncs (see Comment #78,
for example), but it will at least solve issues with *fresh* GRP 2005.1
installations.

Is it *that* hard to put an extra line on the RDEPEND entry in the ebuild?
Comment 86 Spider (RETIRED) gentoo-dev 2005-10-22 12:09:21 UTC
reply @ #85

Its not that simple.  all of theese people already have XML-Parser installed.
-all- of them.

They also failed to rebuild it when they updated perl, so the module wasn't
found with the current perl install. This is a symptomous bug in the current
setup where an upgrade cannot force rebuilds of all sub-dependancies.    Nothing
will be solved by the added DEPEND.
Comment 87 Daniel Gryniewicz (RETIRED) gentoo-dev 2005-10-22 12:42:10 UTC
Does perl have the equivilant of python-updater or revdep-rebuild?  Could it be
run automatically when perl is upgraded?
Comment 88 Spider (RETIRED) gentoo-dev 2005-10-22 14:17:41 UTC
there is perl-cleaner,  but it cannot be automated.  We don't invoke "emerge"
from inside "emerge" , that would cause a horrid can of worms to come into being.

And really, perl is too big to just PDEPEND on everything ever built and linked
against it...  I'm sure you wouldn't want to open that mess either, right?


you -get- told to run perl-cleaner, but the problem here is once more, that of
people not seeing/Caring about the notes given to them post-emerge.
Comment 89 Daniel Gryniewicz (RETIRED) gentoo-dev 2005-10-22 14:48:39 UTC
I can certainly understand not wanting to run emerge from within emerge.

Maybe ebuild needs an "after" function, that schedules some program to be run
after emerge ends?  The, that could run things like revdep-rebuild,
perl-cleaner, python-updater...

Nah, we can just say "run perl-cleaner" and close the bug.
Comment 90 Spider (RETIRED) gentoo-dev 2005-10-22 18:16:22 UTC
we probably don't want to do that sort of thing from a stability standpoint. 
Ie, since many of the "after" tools could well require human supervision, 
Double installs of python and such items come to mind,  then we don't just want
to be there and force things down their throats.

Anyhow, this is digressing into a portage featurism discussion. 

Solution: run perl-cleaner. dupe bug 41124
Comment 91 Jakub Moc (RETIRED) gentoo-dev 2005-10-29 11:05:24 UTC
*** Bug 110800 has been marked as a duplicate of this bug. ***
Comment 92 Carsten Lohrke (RETIRED) gentoo-dev 2005-10-29 16:58:41 UTC
*** Bug 110842 has been marked as a duplicate of this bug. ***
Comment 93 Jakub Moc (RETIRED) gentoo-dev 2005-11-04 06:48:02 UTC
*** Bug 111467 has been marked as a duplicate of this bug. ***
Comment 94 John N. Laliberte (RETIRED) gentoo-dev 2005-11-07 06:42:36 UTC
*** Bug 111632 has been marked as a duplicate of this bug. ***
Comment 95 Jakub Moc (RETIRED) gentoo-dev 2005-12-21 09:33:33 UTC
*** Bug 116296 has been marked as a duplicate of this bug. ***
Comment 96 Alexander Skwar 2005-12-21 12:39:21 UTC
Jakub, why did you remove everybody from the CC list?
Comment 97 Jakub Moc (RETIRED) gentoo-dev 2005-12-21 13:33:29 UTC
(In reply to comment #96)
> Jakub, why did you remove everybody from the CC list?

Hint: So that I wouldn't bugspam tens of people everytime someone does not bother w/ reading ebuild instructions after perl upgrade and/or searching for dupes? :P
Comment 98 Carsten Lohrke (RETIRED) gentoo-dev 2005-12-24 11:49:07 UTC
*** Bug 116625 has been marked as a duplicate of this bug. ***
Comment 99 Jakub Moc (RETIRED) gentoo-dev 2006-01-29 07:25:03 UTC
*** Bug 120818 has been marked as a duplicate of this bug. ***
Comment 100 John N. Laliberte (RETIRED) gentoo-dev 2006-02-19 16:01:03 UTC
*** Bug 123413 has been marked as a duplicate of this bug. ***
Comment 101 Jakub Moc (RETIRED) gentoo-dev 2006-03-01 09:58:02 UTC
*** Bug 124535 has been marked as a duplicate of this bug. ***
Comment 102 Jakub Moc (RETIRED) gentoo-dev 2006-03-04 08:32:03 UTC
*** Bug 124957 has been marked as a duplicate of this bug. ***
Comment 103 Kelly Price 2006-03-04 08:45:18 UTC
I have a fresh AMD64 install, an intended upgrade.  I copied over my world file and had ebuild work through it... and guess what I find.

Somehow intltool is built, perl is rebuilt, and XML::Parser is missing.

With the amount of duplicates here, I think forcing a XML::Parser dependency is a good idea.  The module is specifically searched for in (for example) gnome-mime-data's ./configure.  As described above, intltool will bring it in, but if it's already installed but perl's moved around or reinstalled, XML::Parser dies.

Maybe emerge needs to know more about Perl...
Comment 104 Jakub Moc (RETIRED) gentoo-dev 2006-03-05 04:56:19 UTC
*** Bug 125064 has been marked as a duplicate of this bug. ***
Comment 105 Jakub Moc (RETIRED) gentoo-dev 2006-03-05 04:57:59 UTC
(In reply to comment #103)

Won't help anything at all, it's already installed. You *must* run perl-cleaner after upgrading perl.
Comment 106 Jakub Moc (RETIRED) gentoo-dev 2006-03-11 03:56:40 UTC
*** Bug 125811 has been marked as a duplicate of this bug. ***
Comment 107 Kelly Price 2006-03-11 08:34:20 UTC
"perl is rebuilt" means recompiled from the same version.

When I was doing the emerges to rebuild my rig for AMD64, Perl would alternate between 5.8.7 and 5.8.8 many times.  It would downgrade, then upgrade, then downgrade, then upgrade, and I hadn't touched my /etc/make.conf and /etc/portage/package.keywords.  Even if I hit perl-cleaner to reinstall XML::Parser (it was installed before), XML::Parser was missing.

Yes, I know XML::Parser's required for intltool, but we are running into a situation in which gnome-vfs is *specifically asking* for XML::Parser and not just intltool.  It's directly asking Perl if it has it, and folks are filing bugs that are proving that we cannot be 100% sure between the time intltool gets installed and gnome-vfs is emerged that XML::Parser is going to exist.  We know we *should* have it, but should and actually have are two different things.  It's like the hearsay rules in a court of law -- what one person hears another say has much less weight than what that latter person actually said (we get it from the horse's mouth, hay breath and all).

Comment 108 Michael Cummings (RETIRED) gentoo-dev 2006-03-12 05:46:36 UTC
Just a 2cents worth - you could always check in unpack with something like:
perl -MXML::Parser -e 'print "$XML::Parser::VERSION"'
to make sure it comes back with a value and stop if not.
Comment 109 John N. Laliberte (RETIRED) gentoo-dev 2006-03-27 19:18:55 UTC
*** Bug 127804 has been marked as a duplicate of this bug. ***
Comment 110 Jakub Moc (RETIRED) gentoo-dev 2006-03-30 22:31:25 UTC
*** Bug 128199 has been marked as a duplicate of this bug. ***
Comment 111 Jakub Moc (RETIRED) gentoo-dev 2006-03-31 11:13:04 UTC
*** Bug 128280 has been marked as a duplicate of this bug. ***
Comment 112 Carsten Lohrke (RETIRED) gentoo-dev 2006-03-31 17:20:17 UTC
*** Bug 128312 has been marked as a duplicate of this bug. ***
Comment 113 Michael Evans 2006-04-02 06:59:33 UTC
What's needed is a way of producing upgrade/update notes at the End of a mass-update instead of per package.  Very few have the time or forethought to log an entire emerge, and then check it's output for detailed update notes.

Instead an update log should be produced, and if there is a likelyhood that something needs to be run, the user should be told...

'!!! IMPORTANT !!! You must read ~/emerge-update.DATESTAMP.txt it contains vital post-update instructions for keeping your system working.'

Also, why doesn't emerging perl force a 'perl-clean modules' it looks like that invocation is Supposed to fix exactly this problem, and re-emerging perl IS one of the steps I tried after manually running cpan and being told it was already installed...  I'd never have thought to look for an XML-Parser ebuild since that should upgrade as well.
Comment 114 Kelly Price 2006-04-02 08:27:14 UTC
(In reply to comment #113)
> What's needed is a way of producing upgrade/update notes at the End of a
> mass-update instead of per package.  Very few have the time or forethought to
> log an entire emerge, and then check it's output for detailed update notes.
> 
> Instead an update log should be produced, and if there is a likelyhood that
> something needs to be run, the user should be told...
> 
> '!!! IMPORTANT !!! You must read ~/emerge-update.DATESTAMP.txt it contains
> vital post-update instructions for keeping your system working.'
> 

Unfortunately, that doesn't handle the case in which perl is being recompiled before gnome-vfs while running an emerge --deep --update --newuse world.

> Also, why doesn't emerging perl force a 'perl-clean modules' it looks like that
> invocation is Supposed to fix exactly this problem, and re-emerging perl IS one
> of the steps I tried after manually running cpan and being told it was already
> installed...  I'd never have thought to look for an XML-Parser ebuild since
> that should upgrade as well.
> 

I'm for that, but I'm also for adding dev-perl/XML-Parser in the dependencies of gnome-vfs for reasons I stated above (gnome-vfs specifically checks for it, the dependency-of-a-dependency is similar to heresay in legal circles, and it's Perl -- assume the user is too lazy to run perl-cleaner, too impatient to run perl-cleaner, and has the hubris to say the above).
Comment 115 J.C. Wren 2006-04-02 08:37:13 UTC
"...assume the user is too lazy to run perl-cleaner, too impatient to run
perl-cleaner..."

Assume the is NOT to lazy to run perl-cleaner, and is NOT to impatient to run perl-cleaner.  Assume that the user doesn't REALIZE he needs to run perl-cleaner because the message has scrolled off the screen, or doesn't stand out in the morass of text that continually spews out of emerge.  Assume that the message that tells the user to perl-cleaner doesn't tell them what option(s) they need to run it with.

Assume that's a lot more like the reality of 99.44% of the users who hit this problem.
Comment 116 Carsten Lohrke (RETIRED) gentoo-dev 2006-04-02 17:41:56 UTC
*** Bug 128582 has been marked as a duplicate of this bug. ***
Comment 117 Jakub Moc (RETIRED) gentoo-dev 2006-04-03 11:46:24 UTC
*** Bug 128676 has been marked as a duplicate of this bug. ***
Comment 118 Martin von Gagern 2006-04-04 13:24:36 UTC
(In reply to comment #113)
> What's needed is a way of producing upgrade/update notes at the End of a
> mass-update instead of per package.  Very few have the time or forethought to
> log an entire emerge, and then check it's output for detailed update notes.

At least for my sys-apps/portage-2.1_pre7-r4, the ELOG features described in /etc/make.conf.example do this quite well. They send me an email for every warning or error message encountered while running some ebuild. So this feature is coming, although it might not have reached stable status yet.
Comment 119 Jakub Moc (RETIRED) gentoo-dev 2006-04-10 06:33:23 UTC
*** Bug 129476 has been marked as a duplicate of this bug. ***
Comment 120 Jakub Moc (RETIRED) gentoo-dev 2006-04-12 00:42:52 UTC
*** Bug 129647 has been marked as a duplicate of this bug. ***
Comment 121 Carsten Lohrke (RETIRED) gentoo-dev 2006-04-16 09:06:54 UTC
*** Bug 81077 has been marked as a duplicate of this bug. ***
Comment 122 Jakub Moc (RETIRED) gentoo-dev 2006-04-23 23:50:20 UTC
*** Bug 131049 has been marked as a duplicate of this bug. ***
Comment 123 Jakub Moc (RETIRED) gentoo-dev 2006-04-25 00:35:34 UTC
*** Bug 131172 has been marked as a duplicate of this bug. ***
Comment 124 Jakub Moc (RETIRED) gentoo-dev 2006-05-01 00:24:44 UTC
*** Bug 131868 has been marked as a duplicate of this bug. ***
Comment 125 Tobias Polzin 2006-05-04 03:45:28 UTC
I believe that for me a dependency intltools-->XML-Parser would have cured my "emerge --update world" problem, as it seems as if XML-Parser has not been installed on my system (at least emerge did not report a previous module and did not try to remove something after emerging XML-Parser).

True, this dependency does not solve the problem of Perl-Updates, but it may solve an other problem. 
Comment 126 Jakub Moc (RETIRED) gentoo-dev 2006-05-04 04:57:37 UTC
*** Bug 132233 has been marked as a duplicate of this bug. ***
Comment 127 Timo A. Hummel 2006-05-04 05:04:43 UTC
If you have 5 Packages listed in emerge -pu world, do you bother scrolling up for each of the compile stuff and look if there *could* be an info?

I once suggested that important messages about ebuilds should be output at the *end* of *all* ebuilds, along with their package names.
Comment 128 Jakub Moc (RETIRED) gentoo-dev 2006-05-08 07:44:56 UTC
*** Bug 132684 has been marked as a duplicate of this bug. ***
Comment 129 Jakub Moc (RETIRED) gentoo-dev 2006-05-12 20:53:50 UTC
*** Bug 133160 has been marked as a duplicate of this bug. ***
Comment 130 Bryan Whitehead 2006-05-12 23:32:16 UTC
Just to add to the long bug...

XML-Parser was never on my system at all. When I ran "emerge -pv XML-Parser" (because I saw xkeyboard-config explode when XML::Parser.pm file was missing) it was going to be a "n" new ebuild.

My system is was a pretty fresh install.
Comment 131 Jakub Moc (RETIRED) gentoo-dev 2006-05-17 23:11:04 UTC
*** Bug 133652 has been marked as a duplicate of this bug. ***
Comment 132 foser (RETIRED) gentoo-dev 2006-05-20 09:35:51 UTC
*** Bug 133886 has been marked as a duplicate of this bug. ***
Comment 133 Jakub Moc (RETIRED) gentoo-dev 2006-05-25 14:28:45 UTC
*** Bug 134361 has been marked as a duplicate of this bug. ***
Comment 134 Jakub Moc (RETIRED) gentoo-dev 2006-05-26 07:46:52 UTC
*** Bug 134421 has been marked as a duplicate of this bug. ***
Comment 135 Jakub Moc (RETIRED) gentoo-dev 2006-06-03 12:59:42 UTC
*** Bug 135425 has been marked as a duplicate of this bug. ***
Comment 136 Jakub Moc (RETIRED) gentoo-dev 2006-06-05 06:35:38 UTC
*** Bug 135628 has been marked as a duplicate of this bug. ***
Comment 137 Pablo Sosa 2006-06-05 16:35:24 UTC
(In reply to comment #136)
> *** Bug 135628 has been marked as a duplicate of this bug. ***
> 
Hi sorry can you provide a summary of steps to solve/workaround the problem? I've tried to do what I thought was the solution:
1.unmerge dev/perl/XML-Parser
2.emerge gnome-vfs-2.4.2-r1

even run perl-cleaner all
but again when I try to emerge gnome-vfs it fails with same sort of error


checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

!!! Please attach the following file when filing a report to bugs.gentoo.org:
!!! /var/tmp/portage/gnome-vfs-2.14.1/work/gnome-vfs-2.14.1/config.log

!!! ERROR: gnome-base/gnome-vfs-2.14.1 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  ebuild.sh, line 1248:   Called gnome2_src_compile
  gnome2.eclass, line 57:   Called gnome2_src_configure
  gnome2.eclass, line 53:   Called econf '--disable-schemas-install' '--disable-howl' '--enable-http-neon' '--enable-openssl' '--disable-gnutls' '--enable-samba' '--enable-ipv6' '--disable-hal' '--disable-avahi' '--disable-gtk-doc'
  ebuild.sh, line 541:   Called die

!!! econf failed
Comment 138 Pablo Sosa 2006-06-05 16:49:06 UTC
Ok, it worked now, I needed to update the intltool, otherwise it wouldn't work.
So my steps where,
1.unmerge dev/perl/XML-Parser
2.perl-cleaner all
3.emerge intltool (a new version was available and XMLParser was emerged)
4.emerge gnome-vfs
5.Restart doing what I was doing upgrade to x11 modular.


Thanks,
Pablo
(In reply to comment #137)
> (In reply to comment #136)
> > *** Bug 135628 has been marked as a duplicate of this bug. ***
> > 
> Hi sorry can you provide a summary of steps to solve/workaround the problem?
> I've tried to do what I thought was the solution:
> 1.unmerge dev/perl/XML-Parser
> 2.emerge gnome-vfs-2.4.2-r1
> 
> even run perl-cleaner all
> but again when I try to emerge gnome-vfs it fails with same sort of error
> 
> 
> checking for XML::Parser... configure: error: XML::Parser perl module is
> required for intltool
> 
> !!! Please attach the following file when filing a report to bugs.gentoo.org:
> !!! /var/tmp/portage/gnome-vfs-2.14.1/work/gnome-vfs-2.14.1/config.log
> 
> !!! ERROR: gnome-base/gnome-vfs-2.14.1 failed.
> Call stack:
>   ebuild.sh, line 1539:   Called dyn_compile
>   ebuild.sh, line 939:   Called src_compile
>   ebuild.sh, line 1248:   Called gnome2_src_compile
>   gnome2.eclass, line 57:   Called gnome2_src_configure
>   gnome2.eclass, line 53:   Called econf '--disable-schemas-install'
> '--disable-howl' '--enable-http-neon' '--enable-openssl' '--disable-gnutls'
> '--enable-samba' '--enable-ipv6' '--disable-hal' '--disable-avahi'
> '--disable-gtk-doc'
>   ebuild.sh, line 541:   Called die
> 
> !!! econf failed
> 

Comment 139 John N. Laliberte (RETIRED) gentoo-dev 2006-06-12 06:24:47 UTC
*** Bug 136462 has been marked as a duplicate of this bug. ***
Comment 140 Jakub Moc (RETIRED) gentoo-dev 2006-06-14 04:58:03 UTC
*** Bug 136764 has been marked as a duplicate of this bug. ***
Comment 141 SpanKY gentoo-dev 2006-07-01 22:00:35 UTC
*** Bug 138529 has been marked as a duplicate of this bug. ***
Comment 142 Jakub Moc (RETIRED) gentoo-dev 2006-07-03 13:26:00 UTC
*** Bug 139078 has been marked as a duplicate of this bug. ***
Comment 143 Jakub Moc (RETIRED) gentoo-dev 2006-07-10 09:39:46 UTC
*** Bug 139896 has been marked as a duplicate of this bug. ***
Comment 144 Jakub Moc (RETIRED) gentoo-dev 2006-07-24 02:09:18 UTC
*** Bug 141548 has been marked as a duplicate of this bug. ***
Comment 145 Jakub Moc (RETIRED) gentoo-dev 2006-07-26 06:55:48 UTC
*** Bug 141787 has been marked as a duplicate of this bug. ***
Comment 146 Jakub Moc (RETIRED) gentoo-dev 2006-08-04 00:39:59 UTC
*** Bug 142736 has been marked as a duplicate of this bug. ***
Comment 147 Jakub Moc (RETIRED) gentoo-dev 2006-08-05 09:37:16 UTC
*** Bug 142895 has been marked as a duplicate of this bug. ***
Comment 148 Jakub Moc (RETIRED) gentoo-dev 2006-08-08 08:07:35 UTC
*** Bug 143215 has been marked as a duplicate of this bug. ***
Comment 149 Jakub Moc (RETIRED) gentoo-dev 2006-08-27 01:37:33 UTC
*** Bug 145230 has been marked as a duplicate of this bug. ***
Comment 150 Jakub Moc (RETIRED) gentoo-dev 2006-08-29 01:16:34 UTC
*** Bug 145451 has been marked as a duplicate of this bug. ***
Comment 151 Leonardo Boshell (RETIRED) gentoo-dev 2006-08-31 11:32:58 UTC
*** Bug 145678 has been marked as a duplicate of this bug. ***
Comment 152 Jakub Moc (RETIRED) gentoo-dev 2006-09-09 01:47:35 UTC
*** Bug 146919 has been marked as a duplicate of this bug. ***
Comment 153 Jakub Moc (RETIRED) gentoo-dev 2006-09-23 11:10:07 UTC
*** Bug 148800 has been marked as a duplicate of this bug. ***
Comment 154 Jakub Moc (RETIRED) gentoo-dev 2006-09-28 10:05:12 UTC
*** Bug 149430 has been marked as a duplicate of this bug. ***
Comment 155 Jakub Moc (RETIRED) gentoo-dev 2006-10-10 10:32:15 UTC
*** Bug 150765 has been marked as a duplicate of this bug. ***
Comment 156 Jakub Moc (RETIRED) gentoo-dev 2006-10-13 01:35:34 UTC
*** Bug 151110 has been marked as a duplicate of this bug. ***
Comment 157 D.Allain 2006-10-24 09:04:19 UTC
I tracked the source of the error and I have noticed that the bug actually reproduced each time dev-libs/expat is changed (upgraded/downgraded).
It gives :
# perl -e 'use XML::Parser'
Can't load '/usr/lib/perl5/vendor_perl/5.8.8/i686-linux/auto/XML/Parser/Expat/Expat.so' for module XML::Parser::Expat: libexpat.so.1: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.8.8/i686-linux/DynaLoader.pm line 230.
 at /usr/lib/perl5/vendor_perl/5.8.8/i686-linux/XML/Parser.pm line 14
Compilation failed in require at /usr/lib/perl5/vendor_perl/5.8.8/i686-linux/XML/Parser.pm line 14.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.8.8/i686-linux/XML/Parser.pm line 18.
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

or something along this line.

The fix I have is to re-emerge dev-perl/XML-Parser after each and every time dev-libs/expat is changed (upgraded/downgraded) :
# emerge XML-Parser
fixes it.

I believe there should be something put in the dev-libs/expat e-build to do this.

Kind feedback welcome.
Comment 158 Jakub Moc (RETIRED) gentoo-dev 2006-10-30 01:21:18 UTC
*** Bug 153408 has been marked as a duplicate of this bug. ***
Comment 159 D.Allain 2006-11-16 09:27:19 UTC
(In addition to comment #157)

This bug is today the second most duplicated, as shown on
- either http://bugs.gentoo.org/duplicates.cgi
- or https://bugs.gentoo.org/duplicates.cgi

Could someone add "XML-Parser expat" to the summary of this bug so that the relevant developers get to know about it ?
Comment 160 Jakub Moc (RETIRED) gentoo-dev 2006-11-24 00:53:17 UTC
*** Bug 156091 has been marked as a duplicate of this bug. ***
Comment 161 Stefan de Konink 2006-11-26 09:25:47 UTC
(In reply to comment #159)
> (In addition to comment #157)
> 
> This bug is today the second most duplicated, as shown on
> - either http://bugs.gentoo.org/duplicates.cgi
> - or https://bugs.gentoo.org/duplicates.cgi
> 
> Could someone add "XML-Parser expat" to the summary of this bug so that the
> relevant developers get to know about it ?

Funny thing is that you only need to add XML-Parser as dependancy and it will SOLVE every new instance. Again waiting almost two years... and it hit me again today.

Comment 162 Jakub Moc (RETIRED) gentoo-dev 2006-12-20 07:43:47 UTC
*** Bug 158642 has been marked as a duplicate of this bug. ***
Comment 163 Jakub Moc (RETIRED) gentoo-dev 2007-01-19 07:37:56 UTC
*** Bug 162692 has been marked as a duplicate of this bug. ***
Comment 164 Daniel Gryniewicz (RETIRED) gentoo-dev 2007-02-24 03:41:33 UTC
*** Bug 168199 has been marked as a duplicate of this bug. ***
Comment 165 Maciej Blizinski 2007-03-25 14:40:14 UTC
gnome-base/libgtop should depend on dev-perl/XML-Parser, otherwise gnome-base/libgtop fails with an error message
Comment 166 Jakub Moc (RETIRED) gentoo-dev 2007-03-28 06:56:38 UTC
*** Bug 172507 has been marked as a duplicate of this bug. ***
Comment 167 Jakub Moc (RETIRED) gentoo-dev 2007-03-31 21:09:50 UTC
*** Bug 172924 has been marked as a duplicate of this bug. ***
Comment 168 Ryan Hill (RETIRED) gentoo-dev 2007-04-02 00:29:11 UTC
Yay, just hit this again on a fresh install.

What part about 'indirect dependencies are a Bad Thing' do you guys not get?
Comment 169 Garrett Cooper 2007-04-03 05:30:10 UTC
Come on people. If you consider how much time you are costing yourselves as well as others, the price of fixing the solution is much smaller than the problem itself.

It's things like this that give groups bad reps and make people not want to use an OS / infrastructure.

Either that or are you hanging on to a glimmer of hope that maybe everything bad will go away in perl6? Good luck.. perl's a good language but I doubt the capability of its maintainers for coming out with a good product after the 5.x interpreter series.

Over 2 years, the least you can do is resolve this.
Comment 170 Garrett Cooper 2007-04-03 05:30:23 UTC
Come on people. If you consider how much time you are costing yourselves as well as others, the price of fixing the solution is much smaller than the problem itself.

It's things like this that give groups bad reps and make people not want to use an OS / infrastructure.

Either that or are you hanging on to a glimmer of hope that maybe everything bad will go away in perl6? Good luck.. perl's a good language but I doubt the capability of its maintainers for coming out with a good product after the 5.x interpreter series.

Over 3 years, the least you can do is resolve this.
Comment 171 Jakub Moc (RETIRED) gentoo-dev 2007-04-04 09:43:45 UTC
*** Bug 173287 has been marked as a duplicate of this bug. ***
Comment 172 Jakub Moc (RETIRED) gentoo-dev 2007-05-31 12:19:35 UTC
*** Bug 180331 has been marked as a duplicate of this bug. ***
Comment 173 Mart Raudsepp gentoo-dev 2007-06-05 17:10:45 UTC
*** Bug 180978 has been marked as a duplicate of this bug. ***
Comment 174 Jakub Moc (RETIRED) gentoo-dev 2007-06-17 20:30:52 UTC
*** Bug 182384 has been marked as a duplicate of this bug. ***
Comment 175 Jakub Moc (RETIRED) gentoo-dev 2007-06-26 13:29:23 UTC
*** Bug 183262 has been marked as a duplicate of this bug. ***
Comment 176 Jakub Moc (RETIRED) gentoo-dev 2007-06-28 14:41:47 UTC
*** Bug 183533 has been marked as a duplicate of this bug. ***
Comment 177 Anthony Youngman 2007-06-29 18:03:58 UTC
Is perl a required dependency of the install CD? Does gentoo 2006 install an old version of perl?

If not, then to blame the user for fscking up a perl install is probably unfair in the extreme.

the following sequence of events will probably cause this error to occur...

Install gentoo
emerge xorg
emerge kde-base
emerge mozilla-firefox

(note that, at the time ie just before 2007 came out, I was installing the latest (afaik) available gentoo).

imho it's pretty crap for a gentoo newbie (like me) to be left wondering what the hell is going on, over what should be something nice and simple
Comment 178 Mart Raudsepp gentoo-dev 2007-07-16 20:07:57 UTC
*** Bug 185589 has been marked as a duplicate of this bug. ***
Comment 179 Jakub Moc (RETIRED) gentoo-dev 2007-07-24 06:06:48 UTC
*** Bug 186388 has been marked as a duplicate of this bug. ***
Comment 180 Jakub Moc (RETIRED) gentoo-dev 2007-07-29 21:38:48 UTC
*** Bug 187063 has been marked as a duplicate of this bug. ***
Comment 181 Jakub Moc (RETIRED) gentoo-dev 2007-08-06 07:40:05 UTC
*** Bug 187870 has been marked as a duplicate of this bug. ***
Comment 182 Jakub Moc (RETIRED) gentoo-dev 2007-08-10 15:49:46 UTC
*** Bug 188359 has been marked as a duplicate of this bug. ***
Comment 183 Daniel Gryniewicz (RETIRED) gentoo-dev 2007-08-10 15:51:19 UTC
For all the people getting here via dupes on gnome 2.18 upgrades:

This is because of the expat upgrade.  You need to run:

revdep-rebuild -X

which is in the gentoolkit package.
Comment 184 Jakub Moc (RETIRED) gentoo-dev 2007-08-10 17:10:56 UTC
*** Bug 188372 has been marked as a duplicate of this bug. ***
Comment 185 Jakub Moc (RETIRED) gentoo-dev 2007-08-10 19:31:09 UTC
*** Bug 188392 has been marked as a duplicate of this bug. ***
Comment 186 Jakub Moc (RETIRED) gentoo-dev 2007-08-10 19:39:59 UTC
*** Bug 188396 has been marked as a duplicate of this bug. ***
Comment 187 Jakub Moc (RETIRED) gentoo-dev 2007-08-11 04:24:06 UTC
*** Bug 188419 has been marked as a duplicate of this bug. ***
Comment 188 Jakub Moc (RETIRED) gentoo-dev 2007-08-11 05:06:17 UTC
*** Bug 188427 has been marked as a duplicate of this bug. ***
Comment 189 kavol 2007-08-11 09:56:39 UTC
I just run into this with gnome-base/gnome-vfs-2.18.1 during regular emerge -avuDN world ... and nearly filed duplicate, because this did not show when searching for "gnome-vfs" bugs

how can this be marked RESOLVED-INVALID when people keep running into this again and again? if system is b0rken on regular update (or even on install? - comment #177) then it is a bug!
Comment 190 Samuli Suominen gentoo-dev 2007-08-11 18:58:44 UTC
*** Bug 188495 has been marked as a duplicate of this bug. ***
Comment 191 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 04:03:00 UTC
*** Bug 188525 has been marked as a duplicate of this bug. ***
Comment 192 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 08:12:12 UTC
*** Bug 188540 has been marked as a duplicate of this bug. ***
Comment 193 Carsten Lohrke (RETIRED) gentoo-dev 2007-08-12 10:35:20 UTC
*** Bug 188565 has been marked as a duplicate of this bug. ***
Comment 194 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 12:05:45 UTC
*** Bug 188575 has been marked as a duplicate of this bug. ***
Comment 195 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 14:46:05 UTC
*** Bug 188593 has been marked as a duplicate of this bug. ***
Comment 196 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 15:18:30 UTC
(In reply to comment #189)
> how can this be marked RESOLVED-INVALID when people keep running into this
> again and again? if system is b0rken on regular update (or even on install? -
> comment #177) then it is a bug!

Because you didn't read the instructions provided by expat ebuild on upgrade, as already noted in Comment #183. That's not a bug but a user failure.

Anyway, we are forcing people to recompile this now because of the horrible flood of duplicate bugs.

17:07:13 <+CIA-15> drac * gentoo-x86/dev-perl/XML-Parser/ (3 files in 2 dirs):
17:07:13 <+CIA-15> Revision bump XML-Parser to avoid problems with expat upgrade. No changes made to ebuild itself. 

So, even if you have already recompiled this, you'll be forced to do it again on next emerge --sync, because people simply don't read whatever messages that are provided, and don't search for duplicate bugs before filing one. Sorry.
Comment 197 Sam 2007-08-12 17:05:57 UTC
I did emerge --system and couldn't notice the message..
Shouldn't these critical messages be appended to the end of the emerge output via functions in ebuilds like einfo(), ewarn() and eerror()??
Comment 198 Sam 2007-08-12 17:08:13 UTC
(In reply to comment #197)
> I did emerge --system and couldn't notice the message..
> Shouldn't these critical messages be appended to the end of the emerge output
> via functions in ebuilds like einfo(), ewarn() and eerror()??


emerge --system --> emerge --update system
Comment 199 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 17:31:52 UTC
*** Bug 188609 has been marked as a duplicate of this bug. ***
Comment 200 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 17:48:32 UTC
(In reply to comment #197)

Maybe you should read /etc/make.conf.example and use the ELOG features that have been available for just over 1 1/2 year now.
Comment 201 Sam 2007-08-12 18:53:44 UTC
Yeah, thanks, I already use it. Apparently it doesn't do its job all that well.

Anyway, this is getting rather off topic. I've filed a feature request.
Jakub, feel free to reply at bug #188623
Comment 202 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 19:18:31 UTC
(In reply to comment #201)
> Yeah, thanks, I already use it. Apparently it doesn't do its job all that well.

Yeah, fails to read the messages for you, you have to do it yourself. If you can't be bothered to do even that, then kindly stop blaming portage for this.
Comment 203 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 19:40:53 UTC
*** Bug 188629 has been marked as a duplicate of this bug. ***
Comment 204 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-12 20:29:32 UTC
*** Bug 188635 has been marked as a duplicate of this bug. ***
Comment 205 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-12 20:33:05 UTC
*** Bug 188639 has been marked as a duplicate of this bug. ***
Comment 206 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-12 20:35:51 UTC
*** Bug 188640 has been marked as a duplicate of this bug. ***
Comment 207 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 20:51:51 UTC
*** Bug 188643 has been marked as a duplicate of this bug. ***
Comment 208 Jakub Moc (RETIRED) gentoo-dev 2007-08-12 22:07:16 UTC
*** Bug 188657 has been marked as a duplicate of this bug. ***
Comment 209 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-12 23:24:46 UTC
*** Bug 188660 has been marked as a duplicate of this bug. ***
Comment 210 Alexander Skwar 2007-08-13 05:32:06 UTC
Jakub,
why do you keep on removing people from the CC list?
Comment 211 Jakub Moc (RETIRED) gentoo-dev 2007-08-13 07:06:19 UTC
*** Bug 188681 has been marked as a duplicate of this bug. ***
Comment 212 Jakub Moc (RETIRED) gentoo-dev 2007-08-13 07:09:19 UTC
(In reply to comment #210)
> why do you keep on removing people from the CC list?

So that we wouldn't generate 200 bugspams everytime someone fails to search for duplicates. 
Comment 213 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-13 12:19:14 UTC
*** Bug 188701 has been marked as a duplicate of this bug. ***
Comment 214 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-13 12:40:25 UTC
*** Bug 188702 has been marked as a duplicate of this bug. ***
Comment 215 Erik Logtenberg 2007-08-13 13:17:52 UTC
Hi Jakub,

I notice you and others have repeatedly stressed that people should read the output of emerge, so that they would notice that they have to run perl-cleaner in order to prevent these problems.

However, as is posted by Anthony Youngman (#177) and some others, the error can occur during one emerge run. If both perl and a package depending on XML::Parser get updated during one "emerge -uDN world" command, then emerge would fail on this bug, without it being "the users' fault".

I do understand that this is not a simple issue to solve, and I don't have a simple suggestion for the solution. But I do feel the current perl-cleaner workaround is not a sufficient solution, so I do think this issue deserves some more thought.
I don't know if this bug (currently having status CLOSED INVALID) is the right place for it, but I would like to humbly request that this ticket is taken into account for a new feature in Portage, so that this can be solved in a decent manner.

Kind regards,

Erik Logtenberg.
Comment 216 Gilles Dartiguelongue gentoo-dev 2007-08-13 14:27:28 UTC
*** Bug 188705 has been marked as a duplicate of this bug. ***
Comment 217 Jakub Moc (RETIRED) gentoo-dev 2007-08-13 15:33:54 UTC
*** Bug 188712 has been marked as a duplicate of this bug. ***
Comment 218 Dawid Węgliński (RETIRED) gentoo-dev 2007-08-14 06:25:32 UTC
*** Bug 188789 has been marked as a duplicate of this bug. ***
Comment 219 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 06:34:45 UTC
*** Bug 188773 has been marked as a duplicate of this bug. ***
Comment 220 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 07:00:31 UTC
*** Bug 188775 has been marked as a duplicate of this bug. ***
Comment 221 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 11:34:04 UTC
*** Bug 188805 has been marked as a duplicate of this bug. ***
Comment 222 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 12:51:50 UTC
*** Bug 188815 has been marked as a duplicate of this bug. ***
Comment 223 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 12:55:27 UTC
*** Bug 188813 has been marked as a duplicate of this bug. ***
Comment 224 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 19:25:53 UTC
*** Bug 188864 has been marked as a duplicate of this bug. ***
Comment 225 Jakub Moc (RETIRED) gentoo-dev 2007-08-14 19:33:13 UTC
*** Bug 188893 has been marked as a duplicate of this bug. ***
Comment 226 Roland Tapken 2007-08-14 21:29:47 UTC
Oh please. don't blame the user to use ELOG if it is not enabled per default. Those messages SHOULD be summerized at the end of the emerge process... i just ran into this problem. Startet perl-cleaner, didn't do the job. Ops... XML-Parser isn't even installed! Merged XML-Parser manually, but got another error. At the moment i'm trying to run "revdep-rebuild -X".
Comment 227 Gilles Dartiguelongue gentoo-dev 2007-08-14 23:20:38 UTC
well if you're not a fan of watching compilation lines all the day, you should really know about this feature. About summary at the end of the merge, next stable portage release will have it (I've been told it's in ~arch but I somehow can't see it's effect), I don't know if it'll solve the breaks in the middle of an update though.
Comment 228 Jakub Moc (RETIRED) gentoo-dev 2007-08-15 09:22:09 UTC
*** Bug 188964 has been marked as a duplicate of this bug. ***
Comment 229 kavol 2007-08-16 12:06:29 UTC
(In reply to comment #196)
> (In reply to comment #189)
> Because you didn't read the instructions provided by expat ebuild on upgrade,
> as already noted in Comment #183. That's not a bug but a user failure.

ok, so you say that Gentoo does not allow non-interactive upgrades? - quite a new for me ... until today I thought that user attention should be needed  when changing profile (which may upgrade gcc etc) but not on regular emerge -u something ...

btw, on _default config_ without redirecting stdout there is no way how to read it (any other than to sit in front of monitor and really quickly read the messages printed on screen) - but I see (bug 188623 comments) that it changes, so you are aware of the problem ... how can you blame user if you know that this really _is_ a problem?
Comment 230 Stephen E. Baker 2007-08-17 15:12:42 UTC
I think the number of duplicates and interest in this bug speaks for itself.  When this many people are affected by the same thing it's not right to blame the user.  I think this bug needs to be reopened, and a better solution (even that writing all the warnings at the end, because an emerge shouldn't ever fail if everything is working properly, and it will in certain cases before the user has a chance to run revdep-rebuild -X if certain combinations of packages are pulled in at once)  What is it about Perl that makes it special anyway?  As oppose to Python or Java?

Comment 231 Frederic Leroy 2007-08-18 23:07:31 UTC
I'm yet another victim of this bug on a big update world.
I don't understand which of these command I must launch : "revdep-rebuild -X" or the perl cleaner script ? both ?
Comment 232 Jakub Moc (RETIRED) gentoo-dev 2007-08-19 12:19:54 UTC
*** Bug 189453 has been marked as a duplicate of this bug. ***
Comment 233 Jakub Moc (RETIRED) gentoo-dev 2007-08-19 16:45:18 UTC
*** Bug 189491 has been marked as a duplicate of this bug. ***
Comment 234 kavol 2007-08-20 08:15:03 UTC
(In reply to comment #231)
> I'm yet another victim of this bug on a big update world.
> I don't understand which of these command I must launch : "revdep-rebuild -X"
> or the perl cleaner script ? both ?

I guess you would not do anything bad running both; from my understanding, you need to run the perl-cleaner only on certain setup, while you need to run revdep-rebuild to repair all the packages broken by the removal of the old version of libexpat (it is a good idea to run revdep-rebuild ocassionaly anyway).

Btw, there may be some chain dependencies, e.g. what happended in my case - I've rebuilt subversion but the svn command was still missing libexpat ... I wondered what the hell is that, how it can be built depending on the library which was not in the system while building, then it turned out that the problem is with apr which is used by svn ...
Comment 235 Daniel Gryniewicz (RETIRED) gentoo-dev 2007-08-22 15:25:49 UTC
*** Bug 189851 has been marked as a duplicate of this bug. ***
Comment 236 Jakub Moc (RETIRED) gentoo-dev 2007-08-26 10:49:50 UTC
*** Bug 190286 has been marked as a duplicate of this bug. ***
Comment 237 Jakub Moc (RETIRED) gentoo-dev 2007-08-29 14:36:55 UTC
*** Bug 190648 has been marked as a duplicate of this bug. ***
Comment 238 Jakub Moc (RETIRED) gentoo-dev 2007-09-01 02:15:31 UTC
*** Bug 190935 has been marked as a duplicate of this bug. ***
Comment 239 Jakub Moc (RETIRED) gentoo-dev 2007-09-04 14:47:29 UTC
*** Bug 191242 has been marked as a duplicate of this bug. ***
Comment 240 Jakub Moc (RETIRED) gentoo-dev 2007-09-11 21:10:44 UTC
*** Bug 192236 has been marked as a duplicate of this bug. ***
Comment 241 Jakub Moc (RETIRED) gentoo-dev 2007-09-16 18:08:15 UTC
*** Bug 192709 has been marked as a duplicate of this bug. ***
Comment 242 Jakub Moc (RETIRED) gentoo-dev 2007-09-24 19:22:44 UTC
*** Bug 193673 has been marked as a duplicate of this bug. ***
Comment 243 Jakub Moc (RETIRED) gentoo-dev 2007-10-31 14:00:22 UTC
*** Bug 197619 has been marked as a duplicate of this bug. ***
Comment 244 Gilles Dartiguelongue gentoo-dev 2007-11-04 19:04:29 UTC
*** Bug 198082 has been marked as a duplicate of this bug. ***
Comment 245 Jakub Moc (RETIRED) gentoo-dev 2007-11-10 07:34:14 UTC
*** Bug 198619 has been marked as a duplicate of this bug. ***
Comment 246 Thomas Kohler 2007-11-24 23:36:06 UTC
Same problem here, but "revdep-rebuild" or "perl-cleaner" don't help. 
"emerge XML_parser" give the solution.
Comment 247 gilhad 2007-12-13 21:49:08 UTC
Well, I just installed Gentoo from liveCD 2007.7 (networkless, as other methods failed), then set USE flags, run 
emerge --sync
emerge -DubN world
and the emerge failed.

I know, that Perl is root of (nearly) all evil, but isn't here some way to manage the beast from destroing emerges for inoncent users?
Comment 248 Jakub Moc (RETIRED) gentoo-dev 2007-12-26 12:00:45 UTC
(In reply to comment #247)

No, there's no way at all unless Bug 192319 is implemented. This bug is closed, dead and nothing will happen here.

Comment 249 Jakub Moc (RETIRED) gentoo-dev 2008-01-17 08:24:35 UTC
*** Bug 206277 has been marked as a duplicate of this bug. ***
Comment 250 Jakub Moc (RETIRED) gentoo-dev 2008-02-01 17:58:46 UTC
*** Bug 208458 has been marked as a duplicate of this bug. ***
Comment 251 Jakub Moc (RETIRED) gentoo-dev 2008-02-10 07:34:56 UTC
*** Bug 209492 has been marked as a duplicate of this bug. ***
Comment 252 Jakub Moc (RETIRED) gentoo-dev 2008-02-14 10:05:56 UTC
*** Bug 210108 has been marked as a duplicate of this bug. ***
Comment 253 Jakub Moc (RETIRED) gentoo-dev 2008-02-20 08:54:10 UTC
*** Bug 210847 has been marked as a duplicate of this bug. ***
Comment 254 Ingmar Vanhassel (RETIRED) gentoo-dev 2008-03-09 18:35:27 UTC
*** Bug 212848 has been marked as a duplicate of this bug. ***
Comment 255 Jakub Moc (RETIRED) gentoo-dev 2008-03-15 07:16:47 UTC
*** Bug 213447 has been marked as a duplicate of this bug. ***
Comment 256 Jakub Moc (RETIRED) gentoo-dev 2008-03-15 14:15:34 UTC
*** Bug 213498 has been marked as a duplicate of this bug. ***
Comment 257 Harald van Dijk (RETIRED) gentoo-dev 2008-04-02 16:28:32 UTC
*** Bug 215727 has been marked as a duplicate of this bug. ***
Comment 258 Gilles Dartiguelongue gentoo-dev 2008-05-16 10:21:25 UTC
*** Bug 222259 has been marked as a duplicate of this bug. ***
Comment 259 Jeroen Roovers gentoo-dev 2008-06-09 14:37:10 UTC
*** Bug 225571 has been marked as a duplicate of this bug. ***
Comment 260 Carsten Lohrke (RETIRED) gentoo-dev 2008-06-22 16:49:52 UTC
*** Bug 228869 has been marked as a duplicate of this bug. ***
Comment 261 Carsten Lohrke (RETIRED) gentoo-dev 2008-07-05 14:57:08 UTC
*** Bug 230858 has been marked as a duplicate of this bug. ***
Comment 262 Jeroen Roovers gentoo-dev 2008-11-12 16:52:14 UTC
*** Bug 246415 has been marked as a duplicate of this bug. ***
Comment 263 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-09-09 17:58:32 UTC
*** Bug 284281 has been marked as a duplicate of this bug. ***
Comment 264 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-02-14 02:45:00 UTC
*** Bug 305009 has been marked as a duplicate of this bug. ***
Comment 265 Samuli Suominen gentoo-dev 2010-02-15 08:16:25 UTC
*** Bug 305199 has been marked as a duplicate of this bug. ***
Comment 266 Gilles Dartiguelongue gentoo-dev 2010-02-15 12:57:20 UTC
*** Bug 305233 has been marked as a duplicate of this bug. ***
Comment 267 Gilles Dartiguelongue gentoo-dev 2010-02-15 12:57:33 UTC
*** Bug 305225 has been marked as a duplicate of this bug. ***
Comment 268 Samuli Suominen gentoo-dev 2010-02-15 17:41:46 UTC
*** Bug 305291 has been marked as a duplicate of this bug. ***
Comment 269 Samuli Suominen gentoo-dev 2010-02-17 08:23:11 UTC
*** Bug 305485 has been marked as a duplicate of this bug. ***
Comment 270 Pacho Ramos gentoo-dev 2010-03-14 21:55:08 UTC
*** Bug 309413 has been marked as a duplicate of this bug. ***
Comment 271 Samuli Suominen gentoo-dev 2010-03-24 14:38:38 UTC
*** Bug 311125 has been marked as a duplicate of this bug. ***
Comment 272 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-04-16 22:14:57 UTC
*** Bug 314683 has been marked as a duplicate of this bug. ***
Comment 273 Pacho Ramos gentoo-dev 2010-06-15 07:51:22 UTC
*** Bug 323989 has been marked as a duplicate of this bug. ***
Comment 274 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-06-27 10:21:11 UTC
*** Bug 324853 has been marked as a duplicate of this bug. ***
Comment 275 Dennis Schridde 2010-07-17 12:21:42 UTC
I am hitting this issue via x11-libs/vte-0.24.3 and net-libs/gtk-vnc-0.4.1.
Please reopen!
Comment 276 Dennis Schridde 2010-07-17 13:05:20 UTC
(In reply to comment #275)
> I am hitting this issue via x11-libs/vte-0.24.3 and net-libs/gtk-vnc-0.4.1.
> Please reopen!
As well as gnome-base/gnome-vfs-2.24.3-r1
Comment 277 Dennis Schridde 2010-07-17 17:10:16 UTC
(In reply to comment #276)
> (In reply to comment #275)
> > I am hitting this issue via x11-libs/vte-0.24.3 and net-libs/gtk-vnc-0.4.1.
> > Please reopen!
> As well as gnome-base/gnome-vfs-2.24.3-r1
And net-print/libgnomecups-0.2.3
Comment 278 Dennis Schridde 2010-07-17 17:15:39 UTC
(In reply to comment #277)
> (In reply to comment #276)
> > (In reply to comment #275)
> > > I am hitting this issue via x11-libs/vte-0.24.3 and net-libs/gtk-vnc-0.4.1.
> > > Please reopen!
> > As well as gnome-base/gnome-vfs-2.24.3-r1
> And net-print/libgnomecups-0.2.3
Dear lord... And gnome-base/libgnomeprint-2.18.7
Comment 279 David Abbott gentoo-dev 2010-07-17 18:57:53 UTC
(In reply to comment #278)
> (In reply to comment #277)
> > (In reply to comment #276)
> > > (In reply to comment #275)
> > > > I am hitting this issue via x11-libs/vte-0.24.3 and net-libs/gtk-vnc-0.4.1.
> > > > Please reopen!
> > > As well as gnome-base/gnome-vfs-2.24.3-r1
> > And net-print/libgnomecups-0.2.3
> Dear lord... And gnome-base/libgnomeprint-2.18.7
> 
Did you run perl-cleaner --all when you updated perl?
Comment 280 Dennis Schridde 2010-07-18 10:11:55 UTC
Yes, to fix this issue, running the following command is required:


perl-cleaner --all


This took a while, together with the @preserved-rebuild afterwards, hence the delay in my answer.
Comment 281 David J Cozatt 2010-07-24 15:08:38 UTC
Could not portage die if perl is updated and requires the modules rebuild or is this specific to gnome? It breaks imagemagick too at the least iirc and the failure at a later point just leaves users searching until they find the fix. (elogv is a nice app people) 

Dying after the perl update and requiring the fix before proceeding would seem preferable.
Comment 282 Samuli Suominen gentoo-dev 2010-07-30 12:42:48 UTC
*** Bug 330495 has been marked as a duplicate of this bug. ***
Comment 283 Jeroen Roovers gentoo-dev 2010-08-27 20:25:28 UTC
*** Bug 334871 has been marked as a duplicate of this bug. ***
Comment 284 Samuli Suominen gentoo-dev 2010-09-18 18:04:33 UTC
*** Bug 337968 has been marked as a duplicate of this bug. ***
Comment 285 Jeroen Roovers gentoo-dev 2010-10-23 16:22:12 UTC
*** Bug 342339 has been marked as a duplicate of this bug. ***
Comment 286 Pacho Ramos gentoo-dev 2010-10-26 21:01:00 UTC
*** Bug 342809 has been marked as a duplicate of this bug. ***
Comment 287 Samuli Suominen gentoo-dev 2010-10-27 13:06:47 UTC
*** Bug 342921 has been marked as a duplicate of this bug. ***
Comment 288 Samuli Suominen gentoo-dev 2010-11-01 09:16:35 UTC
*** Bug 343647 has been marked as a duplicate of this bug. ***
Comment 289 Samuli Suominen gentoo-dev 2010-11-01 13:05:40 UTC
*** Bug 343687 has been marked as a duplicate of this bug. ***
Comment 290 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2010-11-02 06:30:47 UTC
*** Bug 343787 has been marked as a duplicate of this bug. ***
Comment 291 Samuli Suominen gentoo-dev 2010-11-05 07:11:36 UTC
*** Bug 344237 has been marked as a duplicate of this bug. ***
Comment 292 Jeroen Roovers gentoo-dev 2010-11-10 14:20:39 UTC
*** Bug 344927 has been marked as a duplicate of this bug. ***
Comment 293 Samuli Suominen gentoo-dev 2010-11-10 14:53:11 UTC
*** Bug 344931 has been marked as a duplicate of this bug. ***
Comment 294 Gilles Dartiguelongue gentoo-dev 2010-11-23 09:24:22 UTC
*** Bug 346507 has been marked as a duplicate of this bug. ***
Comment 295 Jeroen Roovers gentoo-dev 2010-11-23 19:45:44 UTC
Erm, why were CCs removed? Reopening because this isn't a GNOME bug.
Comment 296 Pacho Ramos gentoo-dev 2011-11-24 13:11:50 UTC
*** Bug 391779 has been marked as a duplicate of this bug. ***
Comment 297 Gilles Dartiguelongue gentoo-dev 2011-11-26 14:01:55 UTC
*** Bug 391959 has been marked as a duplicate of this bug. ***
Comment 298 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2011-11-26 18:19:42 UTC
*bump* I'm resolved this bug. Need run perl-cleaner all.
1. perl-cleaner all
-----------------------------
i'm run emerge gnome-vfs: no bugs
i'm run emerge app-arch/file-roller: no bugs
resolved  bug: 
Bug 391959  and Bug 391779
Comment 299 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2011-11-26 18:34:32 UTC
also my system x86 stable. ok.
Comment 300 Torsten Veller (RETIRED) gentoo-dev 2012-06-16 10:31:46 UTC
*** Bug 421331 has been marked as a duplicate of this bug. ***
Comment 301 Torsten Veller (RETIRED) gentoo-dev 2012-06-16 10:33:39 UTC
*** Bug 421339 has been marked as a duplicate of this bug. ***
Comment 302 Jeroen Roovers gentoo-dev 2012-06-21 14:30:35 UTC
*** Bug 422179 has been marked as a duplicate of this bug. ***
Comment 303 Jeroen Roovers gentoo-dev 2012-07-06 14:28:40 UTC
*** Bug 425064 has been marked as a duplicate of this bug. ***
Comment 304 Jeroen Roovers gentoo-dev 2012-09-24 11:28:37 UTC
*** Bug 436090 has been marked as a duplicate of this bug. ***
Comment 305 Ben Kohler gentoo-dev 2013-09-06 02:59:22 UTC
*** Bug 483782 has been marked as a duplicate of this bug. ***
Comment 306 Jeroen Roovers gentoo-dev 2013-09-06 13:30:30 UTC
*** Bug 483990 has been marked as a duplicate of this bug. ***
Comment 307 Jeroen Roovers gentoo-dev 2013-09-06 13:31:43 UTC
*** Bug 463898 has been marked as a duplicate of this bug. ***
Comment 308 Jeroen Roovers gentoo-dev 2013-09-06 13:31:57 UTC
*** Bug 454130 has been marked as a duplicate of this bug. ***
Comment 309 Jeroen Roovers gentoo-dev 2013-09-06 13:32:21 UTC
*** Bug 421567 has been marked as a duplicate of this bug. ***
Comment 310 Jeroen Roovers gentoo-dev 2013-09-06 13:32:37 UTC
*** Bug 421041 has been marked as a duplicate of this bug. ***
Comment 311 Ben Kohler gentoo-dev 2013-09-06 15:31:46 UTC
*** Bug 484004 has been marked as a duplicate of this bug. ***
Comment 312 Jeroen Roovers gentoo-dev 2013-09-08 15:22:31 UTC
*** Bug 484136 has been marked as a duplicate of this bug. ***
Comment 313 Ben Kohler gentoo-dev 2013-09-08 19:53:24 UTC
*** Bug 484272 has been marked as a duplicate of this bug. ***
Comment 314 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-09-09 20:11:51 UTC
*** Bug 484382 has been marked as a duplicate of this bug. ***
Comment 315 Ben Kohler gentoo-dev 2013-09-11 21:03:57 UTC
*** Bug 484612 has been marked as a duplicate of this bug. ***
Comment 316 Jeroen Roovers gentoo-dev 2013-10-01 13:35:22 UTC
*** Bug 486266 has been marked as a duplicate of this bug. ***
Comment 317 Jeroen Roovers gentoo-dev 2013-10-03 16:31:05 UTC
*** Bug 486780 has been marked as a duplicate of this bug. ***
Comment 318 Jeroen Roovers gentoo-dev 2013-10-05 15:07:43 UTC
*** Bug 486976 has been marked as a duplicate of this bug. ***
Comment 319 Nico Baggus 2013-10-05 18:18:00 UTC
Really perl-cleaner on a FRESH install?......
from a stage3?
Comment 320 Nico Baggus 2013-10-05 18:42:15 UTC
I request that perl cleaner is run on the stage3 kit that is available for download then..
Comment 321 NBurgin 2013-10-30 04:14:12 UTC
how is this bug invalid? I had this problem just now trying to build systemd, had to emerge the perl xml parser module manually before it would pass configure. Seems like if it were necessary for configure it would need to be listed as a build dependency or something.
Comment 322 Jeroen Roovers gentoo-dev 2013-11-01 14:44:14 UTC
*** Bug 490026 has been marked as a duplicate of this bug. ***
Comment 323 Jeroen Roovers gentoo-dev 2013-11-08 15:34:48 UTC
*** Bug 490674 has been marked as a duplicate of this bug. ***
Comment 324 Jeroen Roovers gentoo-dev 2013-11-19 21:53:33 UTC
*** Bug 491710 has been marked as a duplicate of this bug. ***
Comment 325 Jeroen Roovers gentoo-dev 2013-12-11 14:06:19 UTC
*** Bug 493928 has been marked as a duplicate of this bug. ***
Comment 326 Ben Kohler gentoo-dev 2013-12-15 16:02:05 UTC
*** Bug 494354 has been marked as a duplicate of this bug. ***
Comment 327 Ben Kohler gentoo-dev 2013-12-15 20:47:42 UTC
*** Bug 494378 has been marked as a duplicate of this bug. ***
Comment 328 Ben Kohler gentoo-dev 2013-12-15 21:20:35 UTC
*** Bug 494386 has been marked as a duplicate of this bug. ***
Comment 329 Ben Kohler gentoo-dev 2013-12-16 14:39:03 UTC
*** Bug 494432 has been marked as a duplicate of this bug. ***
Comment 330 Jeroen Roovers gentoo-dev 2013-12-17 12:01:52 UTC
*** Bug 494516 has been marked as a duplicate of this bug. ***
Comment 331 Jeroen Roovers gentoo-dev 2013-12-17 12:29:02 UTC
*** Bug 494504 has been marked as a duplicate of this bug. ***
Comment 332 Ben Kohler gentoo-dev 2013-12-17 22:54:12 UTC
*** Bug 494588 has been marked as a duplicate of this bug. ***
Comment 333 Jeroen Roovers gentoo-dev 2013-12-19 14:08:56 UTC
*** Bug 494746 has been marked as a duplicate of this bug. ***
Comment 334 Jeroen Roovers gentoo-dev 2013-12-19 15:13:21 UTC
*** Bug 219955 has been marked as a duplicate of this bug. ***
Comment 335 Jeroen Roovers gentoo-dev 2013-12-19 15:13:51 UTC
*** Bug 305801 has been marked as a duplicate of this bug. ***
Comment 336 Jeroen Roovers gentoo-dev 2013-12-19 15:14:10 UTC
*** Bug 305099 has been marked as a duplicate of this bug. ***
Comment 337 Jeroen Roovers gentoo-dev 2013-12-19 15:14:53 UTC
*** Bug 281676 has been marked as a duplicate of this bug. ***
Comment 338 Jeroen Roovers gentoo-dev 2013-12-19 15:15:35 UTC
*** Bug 127591 has been marked as a duplicate of this bug. ***
Comment 339 Jeroen Roovers gentoo-dev 2013-12-19 15:24:58 UTC
*** Bug 481686 has been marked as a duplicate of this bug. ***
Comment 340 Jeroen Roovers gentoo-dev 2013-12-19 15:26:44 UTC
*** Bug 369277 has been marked as a duplicate of this bug. ***
Comment 341 Jeroen Roovers gentoo-dev 2013-12-19 15:27:37 UTC
*** Bug 361835 has been marked as a duplicate of this bug. ***
Comment 342 Jeroen Roovers gentoo-dev 2013-12-19 15:28:07 UTC
*** Bug 336483 has been marked as a duplicate of this bug. ***
Comment 343 Jeroen Roovers gentoo-dev 2013-12-19 15:28:30 UTC
*** Bug 321373 has been marked as a duplicate of this bug. ***
Comment 344 Jeroen Roovers gentoo-dev 2013-12-19 15:29:19 UTC
*** Bug 310133 has been marked as a duplicate of this bug. ***
Comment 345 Jeroen Roovers gentoo-dev 2013-12-19 15:29:42 UTC
*** Bug 351154 has been marked as a duplicate of this bug. ***
Comment 346 Jeroen Roovers gentoo-dev 2013-12-19 15:30:02 UTC
*** Bug 307805 has been marked as a duplicate of this bug. ***
Comment 347 Jeroen Roovers gentoo-dev 2013-12-19 15:30:54 UTC
*** Bug 303857 has been marked as a duplicate of this bug. ***
Comment 348 Jeroen Roovers gentoo-dev 2013-12-19 15:32:23 UTC
*** Bug 247110 has been marked as a duplicate of this bug. ***
Comment 349 Justin Findlay 2013-12-23 00:16:17 UTC
For whatever reason the gentoo-dev groupthink seems to be that the clueless luzers need to run perl-cleaner before and after every emerge action.

Whereas, when a package explicitly checks for Perl::Package in its configure stage and the ebuild thereof does not list Perl::Package as a dependency, there is a clear problem.  I can only assume hubris would keep it this way so long.  There is no other logical rationale.
Comment 350 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-12-23 01:42:24 UTC
(In reply to Justin Findlay from comment #349)
> For whatever reason the gentoo-dev groupthink seems to be that the clueless
> luzers need to run perl-cleaner before and after every emerge action.

A logical reason stated multiple times here and on the gentoo-dev ML; it has to be run only after a Perl upgrade, as instructed by its post install message.

> Whereas, when a package explicitly checks for Perl::Package in its configure
> stage

Even with the dependency listed, a Perl upgrade will cause the symptom again.

> and the ebuild thereof does not list Perl::Package as a dependency,

If the packages do list them as direct dependencies instead of indirect dependencies, that could lead to a lot of Perl ebuilds listing a lot of unnecessary direct Perl packages as dependencies; that in itself is a clear problem.

Now, even if we would list these dependencies; they don't fix the symptom, because it needs to be rebuild as Perl upgrades. A random Perl library depending on a random Perl library is unaffected by that; and thus, the dependency would not fix this symptom.

> there is a clear problem. I can only assume hubris would keep it this way so long. There is no other logical rationale.

The post installation message on the Perl upgrade covers this clear problem.

TL;DR: Emerging dev-perl/XML-Parser or similar is only a temporary fix for that Perl upgrade, but as the next Perl upgrade comes you get this symptom again regardless of the listed dependencies. `perl-cleaner` covers that; just like you have `python-updater`, `emerge @module-rebuild`, `emerge @x11-module-rebuild`, `emerge @preserved-rebuild` (former `revdep-rebuild`) and so on...

Note: Can you please discuss this on the gentoo-dev ML if you have a working and tested solution? A lot of users get mailed on this bug; and thus, we avoid discussion on tracker bugs like these to avoid unnecessary mass mails.
Comment 351 Jeroen Roovers gentoo-dev 2013-12-23 02:03:30 UTC
*** Bug 495054 has been marked as a duplicate of this bug. ***
Comment 352 Jeroen Roovers gentoo-dev 2013-12-25 15:05:18 UTC
*** Bug 495980 has been marked as a duplicate of this bug. ***
Comment 353 Jeroen Roovers gentoo-dev 2013-12-25 16:12:49 UTC
*** Bug 496004 has been marked as a duplicate of this bug. ***
Comment 354 Rafał Mużyło 2013-12-26 14:16:08 UTC
*** Bug 496052 has been marked as a duplicate of this bug. ***
Comment 355 Ben Kohler gentoo-dev 2013-12-27 14:57:53 UTC
*** Bug 496156 has been marked as a duplicate of this bug. ***
Comment 356 Pacho Ramos gentoo-dev 2013-12-27 23:31:39 UTC
*** Bug 496234 has been marked as a duplicate of this bug. ***
Comment 357 Jeroen Roovers gentoo-dev 2013-12-30 00:34:44 UTC
*** Bug 496450 has been marked as a duplicate of this bug. ***
Comment 358 Jeroen Roovers gentoo-dev 2014-01-02 13:19:36 UTC
*** Bug 496700 has been marked as a duplicate of this bug. ***
Comment 359 Jeroen Roovers gentoo-dev 2014-01-02 13:47:39 UTC
*** Bug 496756 has been marked as a duplicate of this bug. ***
Comment 360 Rafał Mużyło 2014-01-08 11:41:44 UTC
*** Bug 497506 has been marked as a duplicate of this bug. ***
Comment 361 Rafał Mużyło 2014-01-08 22:41:18 UTC
*** Bug 497568 has been marked as a duplicate of this bug. ***
Comment 362 Pacho Ramos gentoo-dev 2014-01-11 21:54:50 UTC
*** Bug 497828 has been marked as a duplicate of this bug. ***
Comment 363 Jeroen Roovers gentoo-dev 2014-01-19 14:27:23 UTC
*** Bug 498568 has been marked as a duplicate of this bug. ***
Comment 364 Ben Kohler gentoo-dev 2014-01-20 15:10:16 UTC
*** Bug 498700 has been marked as a duplicate of this bug. ***
Comment 365 Jeroen Roovers gentoo-dev 2014-01-28 13:39:15 UTC
*** Bug 499582 has been marked as a duplicate of this bug. ***
Comment 366 Ben Kohler gentoo-dev 2014-01-29 16:53:30 UTC
*** Bug 499696 has been marked as a duplicate of this bug. ***
Comment 367 Pacho Ramos gentoo-dev 2014-02-01 17:37:40 UTC
*** Bug 499564 has been marked as a duplicate of this bug. ***
Comment 368 Samuli Suominen gentoo-dev 2014-02-13 20:03:11 UTC
*** Bug 501242 has been marked as a duplicate of this bug. ***
Comment 369 Jeroen Roovers gentoo-dev 2014-02-15 11:31:13 UTC
*** Bug 501368 has been marked as a duplicate of this bug. ***
Comment 370 Samuli Suominen gentoo-dev 2014-02-26 11:36:24 UTC
*** Bug 502438 has been marked as a duplicate of this bug. ***
Comment 371 Samuli Suominen gentoo-dev 2014-03-03 09:13:31 UTC
*** Bug 503292 has been marked as a duplicate of this bug. ***
Comment 372 Jeroen Roovers gentoo-dev 2014-03-22 15:09:44 UTC
*** Bug 505342 has been marked as a duplicate of this bug. ***
Comment 373 Jeroen Roovers gentoo-dev 2014-03-22 16:35:59 UTC
*** Bug 505288 has been marked as a duplicate of this bug. ***
Comment 374 Jeroen Roovers gentoo-dev 2014-03-23 05:13:52 UTC
*** Bug 505390 has been marked as a duplicate of this bug. ***
Comment 375 Jeroen Roovers gentoo-dev 2014-04-01 23:09:55 UTC
*** Bug 506492 has been marked as a duplicate of this bug. ***
Comment 376 Michael Schubert 2014-04-03 11:47:18 UTC
*** Bug 506492 has been marked as a duplicate of this bug. ***
Comment 377 Samuli Suominen gentoo-dev 2014-04-05 08:45:43 UTC
*** Bug 506812 has been marked as a duplicate of this bug. ***
Comment 378 Jeroen Roovers gentoo-dev 2014-04-05 14:36:33 UTC
*** Bug 506752 has been marked as a duplicate of this bug. ***
Comment 379 Jeroen Roovers gentoo-dev 2014-04-07 13:15:17 UTC
*** Bug 507018 has been marked as a duplicate of this bug. ***
Comment 380 Samuli Suominen gentoo-dev 2014-04-09 06:58:53 UTC
*** Bug 71897 has been marked as a duplicate of this bug. ***
Comment 381 Samuli Suominen gentoo-dev 2014-04-09 06:58:59 UTC
*** Bug 507198 has been marked as a duplicate of this bug. ***
Comment 382 Samuli Suominen gentoo-dev 2014-04-09 07:00:39 UTC
*** Bug 63035 has been marked as a duplicate of this bug. ***
Comment 383 Samuli Suominen gentoo-dev 2014-04-09 07:00:47 UTC
*** Bug 78148 has been marked as a duplicate of this bug. ***
Comment 384 Samuli Suominen gentoo-dev 2014-04-09 07:02:24 UTC
*** Bug 55772 has been marked as a duplicate of this bug. ***
Comment 385 Samuli Suominen gentoo-dev 2014-04-09 07:03:19 UTC
*** Bug 375483 has been marked as a duplicate of this bug. ***
Comment 386 Samuli Suominen gentoo-dev 2014-04-09 07:03:41 UTC
*** Bug 266966 has been marked as a duplicate of this bug. ***
Comment 387 Jeroen Roovers gentoo-dev 2014-06-17 12:13:50 UTC
*** Bug 513532 has been marked as a duplicate of this bug. ***
Comment 388 Jeroen Roovers gentoo-dev 2014-07-29 10:49:29 UTC
*** Bug 518450 has been marked as a duplicate of this bug. ***
Comment 389 Ben Kohler gentoo-dev 2014-07-29 18:36:36 UTC
*** Bug 518520 has been marked as a duplicate of this bug. ***
Comment 390 Samuli Suominen gentoo-dev 2014-07-30 03:57:56 UTC
*** Bug 518548 has been marked as a duplicate of this bug. ***
Comment 391 Rafał Mużyło 2014-08-05 11:38:03 UTC
*** Bug 519086 has been marked as a duplicate of this bug. ***
Comment 392 Jeroen Roovers gentoo-dev 2014-08-09 15:23:54 UTC
*** Bug 519510 has been marked as a duplicate of this bug. ***
Comment 393 Ben Kohler gentoo-dev 2014-08-11 20:26:53 UTC
*** Bug 519672 has been marked as a duplicate of this bug. ***
Comment 394 Jeroen Roovers gentoo-dev 2014-08-14 08:52:31 UTC
*** Bug 519896 has been marked as a duplicate of this bug. ***
Comment 395 Jeroen Roovers gentoo-dev 2014-08-23 13:54:24 UTC
*** Bug 520698 has been marked as a duplicate of this bug. ***
Comment 396 Jeroen Roovers gentoo-dev 2014-09-04 11:09:13 UTC
*** Bug 522058 has been marked as a duplicate of this bug. ***
Comment 397 Jeroen Roovers gentoo-dev 2014-09-08 13:43:28 UTC
*** Bug 522378 has been marked as a duplicate of this bug. ***
Comment 398 Jeroen Roovers gentoo-dev 2014-09-15 10:20:59 UTC
*** Bug 522806 has been marked as a duplicate of this bug. ***
Comment 399 Jeroen Roovers gentoo-dev 2014-09-24 12:49:02 UTC
*** Bug 523606 has been marked as a duplicate of this bug. ***
Comment 400 Jaco Kroon 2014-09-25 16:04:26 UTC
Hi,

A lot of tickets are being marked as a dupe of this ticket, which has been closed invalid way back when, but it's still causing problems.  Do we have no other option other than manually remerging dev-perl/XML-Parser?

In some cases in order to update perl to some of the newer version I quite literally have to unmerge all dev-perl/* and lang-perl/* packages in order to get perl updated, and these missing dependencies then causes problems.

If XML-Parser is *broken* that's one thing - but not pulling it in if the package depends on it is completely another.
Comment 401 Rafał Mużyło 2014-09-30 01:29:43 UTC
*** Bug 524070 has been marked as a duplicate of this bug. ***
Comment 402 Jeroen Roovers gentoo-dev 2014-10-11 13:03:09 UTC
*** Bug 525034 has been marked as a duplicate of this bug. ***
Comment 403 Ben Kohler gentoo-dev 2014-10-17 18:13:28 UTC
*** Bug 525672 has been marked as a duplicate of this bug. ***
Comment 404 Jeroen Roovers gentoo-dev 2014-10-21 08:07:30 UTC
*** Bug 526170 has been marked as a duplicate of this bug. ***
Comment 405 Jeroen Roovers gentoo-dev 2014-10-23 18:16:29 UTC
*** Bug 526170 has been marked as a duplicate of this bug. ***
Comment 406 Jeroen Roovers gentoo-dev 2014-12-03 23:46:18 UTC
*** Bug 531578 has been marked as a duplicate of this bug. ***
Comment 407 Jeroen Roovers gentoo-dev 2014-12-08 07:31:15 UTC
*** Bug 531956 has been marked as a duplicate of this bug. ***
Comment 408 Jeroen Roovers gentoo-dev 2014-12-20 06:18:00 UTC
*** Bug 533092 has been marked as a duplicate of this bug. ***
Comment 409 Gilles Dartiguelongue gentoo-dev 2014-12-21 10:27:10 UTC
*** Bug 531712 has been marked as a duplicate of this bug. ***
Comment 410 Jeroen Roovers gentoo-dev 2014-12-22 08:51:45 UTC
*** Bug 533266 has been marked as a duplicate of this bug. ***
Comment 411 Ben Kohler gentoo-dev 2015-10-22 16:08:55 UTC
*** Bug 563810 has been marked as a duplicate of this bug. ***
Comment 412 Rafał Mużyło 2015-10-22 18:26:21 UTC
*** Bug 563738 has been marked as a duplicate of this bug. ***
Comment 413 Jeroen Roovers gentoo-dev 2015-11-25 08:20:11 UTC
*** Bug 566770 has been marked as a duplicate of this bug. ***
Comment 414 Ben Kohler gentoo-dev 2015-12-04 20:10:59 UTC
*** Bug 567552 has been marked as a duplicate of this bug. ***
Comment 415 Gilles Dartiguelongue gentoo-dev 2015-12-22 08:03:15 UTC
*** Bug 568470 has been marked as a duplicate of this bug. ***
Comment 416 Pacho Ramos gentoo-dev 2016-01-01 13:34:59 UTC
*** Bug 570460 has been marked as a duplicate of this bug. ***
Comment 417 Lars Wendler (Polynomial-C) gentoo-dev 2016-05-04 07:44:22 UTC
*** Bug 582046 has been marked as a duplicate of this bug. ***
Comment 418 Jeroen Roovers gentoo-dev 2016-06-02 12:55:59 UTC
*** Bug 584848 has been marked as a duplicate of this bug. ***
Comment 419 Andreas K. Hüttel gentoo-dev 2016-06-02 20:53:14 UTC
Please stop marking things as duplicate here. 

perl-cleaner *should* not be necessary for upgrades anymore, since the perl upgrade *should* force a rebuild of XML-Parser. 

If that doesn't work, it's a different bug.
Comment 420 Jeroen Roovers gentoo-dev 2016-06-03 04:43:57 UTC
(In reply to Andreas K. Hüttel from comment #419)
> Please stop marking things as duplicate here. 
> 
> perl-cleaner *should* not be necessary for upgrades anymore, since the perl
> upgrade *should* force a rebuild of XML-Parser. 

Even upgrading dev-lang/perl is a problem when tons of installed packages have recorded the previous SLOT.

> If that doesn't work, it's a different bug.

It doesn't work. What bug is that?
Comment 421 Jeroen Roovers gentoo-dev 2016-07-06 06:30:56 UTC
*** Bug 588116 has been marked as a duplicate of this bug. ***
Comment 422 Toralf Förster gentoo-dev 2016-09-10 07:43:45 UTC
*** Bug 593348 has been marked as a duplicate of this bug. ***
Comment 423 Kent Fredric (IRC: kent\n) gentoo-dev 2016-10-09 09:09:32 UTC
*** Bug 596640 has been marked as a duplicate of this bug. ***
Comment 424 Kent Fredric (IRC: kent\n) gentoo-dev 2016-10-09 09:16:17 UTC
(In reply to Andreas K. Hüttel from comment #419)
> Please stop marking things as duplicate here. 
> 
> perl-cleaner *should* not be necessary for upgrades anymore, since the perl
> upgrade *should* force a rebuild of XML-Parser. 
> 
> If that doesn't work, it's a different bug.

...
> It doesn't work. What bug is that?

It doesn't work, but the problem is hard to nail down a specific bug for, because the *real* problem is in Portage itself failing to resolve dependencies correctly and tracking slot rebuilds.

Unfortunately *that* problem is so general, that this bug is now a *reduction* of that problem.

And we could have dozens such reductions.

Bug #592880 ( #Locale-gettext ) is the "Clearest" reduction that is specific enough to be understood. But there's no point in glomming all the intltool + XML-Parser problems onto that either.
Comment 425 Kent Fredric (IRC: kent\n) gentoo-dev 2016-10-09 10:07:14 UTC
New bug added, #596664

File duplicates against things that fail with XML::Parser/intltool combinations there, not here.
Comment 426 Ben Kohler gentoo-dev 2018-01-20 14:37:36 UTC
*** Bug 645134 has been marked as a duplicate of this bug. ***
Comment 427 Jeroen Roovers gentoo-dev 2018-02-01 03:36:06 UTC
*** Bug 646236 has been marked as a duplicate of this bug. ***
Comment 428 Jeroen Roovers gentoo-dev 2019-01-13 13:43:39 UTC
*** Bug 675328 has been marked as a duplicate of this bug. ***
Comment 429 Jeroen Roovers gentoo-dev 2019-06-18 09:23:22 UTC
*** Bug 688132 has been marked as a duplicate of this bug. ***